Bug 1640718 - [RFE] Azure log is hard to read, no new lines, no logging level
Summary: [RFE] Azure log is hard to read, no new lines, no logging level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.5
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Daniel Berger
QA Contact: Angelina Nikiforova
URL:
Whiteboard:
: 1644651 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-18 15:07 UTC by Angelina Nikiforova
Modified: 2019-02-07 23:04 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:55 UTC
Category: Feature
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:00 UTC

Description Angelina Nikiforova 2018-10-18 15:07:50 UTC
Description of problem:
Azure log is hard to read, no new lines, no logging level, see attachment with logs in 5.9 and 5.10 (azure.log is ok in 5.10)

Version-Release number of selected component (if applicable):
5.9.5.2.20181015201954_5f1530c

How reproducible:
Always

Steps to Reproduce:
1. Add Azure provider
2. Refresh it
3. Check azure.log in log directory

Actual results:
Azure log is hard to read, no new lines, no logging level

Expected results:
Azure log contains separate lines with logging level

Additional info:
This also happens in 5.9.4.7.20180829201904_ced41ae but the log is ok in 5.10.0.20.20181016163900_fe677b4

Comment 3 dmetzger 2018-11-01 14:01:42 UTC
*** Bug 1644651 has been marked as a duplicate of this bug. ***

Comment 4 Daniel Berger 2018-11-27 17:49:14 UTC
I'm pretty sure this PR is why the 5.10 log looks nicer:

https://github.com/ManageIQ/manageiq/pull/17228

You'll notice it also filters out the bearer token information, so it's more secure.

I'll put in a request to backport it.

Comment 5 Angelina Nikiforova 2019-01-07 08:57:41 UTC
Fixed and verified in 5.10.0.30.20181218191323_900a416

Comment 6 errata-xmlrpc 2019-02-07 23:03:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.